0.236 2021-09-29
----------------


MAME Testers Bugs Fixed
-----------------------
- 04022: [Sound] (segas16b.cpp) altbeastj: Music does not stop when the transformation sequence begins. (TeamEurope)
- 07883: [Color/Palette] BGFX: Direct3D 9 back-end does not work. (Ryan Holtz)
- 08059: [DIP/Input] (taito_f2.cpp) deadconx, deadconxj: DIP switches are labeled incorrectly. (GoldS_TCRF)
- 08065: [Graphics] (segas16b.cpp) altbeast, altbeast6: Sprites flicker, most visibly in the third stage. (hap)
- 08074: [Media Support] FILE MANAGER: Drive root directories cannot be selected on Windows. (Vas Crabb)
- 08075: [Gameplay] (changela.cpp) changela: Car incorrectly steers to the right without player input. (hap)
- 08076: [Sound] (tubep.cpp) rjammer: Sound test does not work, and causes loss of game sounds. (AJR)
- 08077: [DIP/Input] (darius.cpp) dariusu: Discounted continue DIP switch is labeled “unknown”. (GoldS_TCRF)
- 08078: [DIP/Input] (vigilant.cpp) vigilant and clones: Kick and punch buttons are reversed. (abelardator2)
- 08081: [Sound] (srmp2.cpp) srmp2, srmp3: Character voice samples do not play. (kmg)
- 08085: [Documentation] (msx.cpp) hbf9pr: The description says “Russion” instead of “Russian”. (AntoPISA)
- 08090: [Documentation] (polepos.cpp) polepos2: Documented “Freeze” DIP switch is labeled “Unknown”. (Cow)


New working machines
--------------------
Danger Express (prototype) [hap]
Fidelity Electronics Checker Challenger (model CR, 2 levels) [hap, Sean Riddle]
Head On Channel (prototype, hack) [hap]
JAKKS Pacific Inc / HotGen Ltd SpongeBob SquarePants Jellyfish Dodge (JAKKS Pacific TV Game) (Apr 5 2007)
  [Sean Riddle, David Haywood]
OOPArts (prototype, joystick hack) [hap]
SegaSonic Bros. (prototype, hack) [hap]
unknown Paradise Automatique / TourVisión bowling themed poker game with gum prizes (France) [Benjamin Roux, David Haywood]


New working clones
------------------
American Poker II - Jackpot (Spanish, set 3) [Roberto Fresca]
beatmania complete MIX (ver AA-C) [DeepSeaSqueeze]
Casino Five (3315-12, U5-0) [Brian Troha, The Dumping Union]
Jor-eop Jeungmyeongseo (Korea) [xuserv, juking]
Leader (version Z 2F, Greece) [Ioannis Bampoulas]
Missile / Circuit (bootleg of Alpha Fighter / Head On) [MikeMcBike]
Pucman [Nnap]
Route 16 (Sun Electronics, set 2) [hammy]
Systemhuset / Loproc Conchess Plymate 5.5MHz [hap, Berger]
unknown 'Pac-Man' gambling game (set 2) [Nnap]
VTech Dora the Explorer - Doras Abenteuer-Globus (Germany) [Sean Riddle, TeamEurope]


Clones promoted to working
--------------------------
Killer Instinct 2 (upgrade kit) [pdaderko]


New machines marked as NOT_WORKING
----------------------------------
Alaska [Robbbert]
Black Magic 4 [Robbbert]
Cavalier [Robbbert]
Crazy Race [Robbbert]
Diamonds & Hearts - Power Pay (10229311, NSW/ACT) [anonymous]
Don Quijote [Robbbert]
Escalera Tobogan (MPU4, set 1) [jordigahan, ClawGrip]
Fair Fight [Robbbert]
The Flipper Game [Robbbert]
Hot & Cold [Robbbert]
Mr Doom [Robbbert]
Mr Evil [Robbbert]
NEC PC-9801US [coolmod]
NEC PC-9801VX [qazmko1029]
NEC PC-9821Nr15 (98NOTE Lavie) [flyingharuka]
NEC PC-98HA (Handy98) [anonymous]
NEC PC-98LT [anonymous]
Poker Plus [Robbbert]
Que Long Gao Shou [Guru, Dyq]
Recel Bios [Robbbert]
Screech [Robbbert]
Swashbuckler [Robbbert]
Torneo [Robbbert]
unknown medal game GS471 [Phil Bennett, R. Belmont]
Zelos (Japan, terminal) [Phil Bennett]


New clones marked as NOT_WORKING
--------------------------------
American Poker II - Jackpot (Spanish, set 1) [Roberto Fresca]
American Poker II - Jackpot (Spanish, set 2) [Roberto Fresca]
Carnival (cocktail, earlier) [Kevin Eshbach]
Cherry Bonus III (set 5, encrypted bootleg) [Ioannis Bampoulas]
Escalera Tobogan (MPU4, set 2) [jordigahan, ClawGrip]
Escalera Tobogan (MPU4, set 3) [jordigahan, ClawGrip]
Faeton (6 digits) [Jordi, Orlando, PinMAME]
Fast Track [Robbbert]
Hardbody (rev. C) [PinMAME]
Hook (UK 4.06, display A4.01) [PinMAME]
MIT TX-0 upgraded system (8 kWords of RAM, old order code) [AJR]
MotorDome (rev. B) [PinMAME]
Mushiking The King Of Beetle (2K3 2ND Ver. 1.000-, Korea) [Jorge Valero, MetalliC, rtw]
NEC PC-8001mkIISR [anonymous]
NEC PC-9821Cx3 (98MULTi CanBe) [flyingharuka]
NEC PC-9821Nr166 (98NOTE Lavie) [flyingharuka]
NEC PC-9821Nw150 (98NOTE Lavie) [flyingharuka]
NEC PC-9821Ra266 (98MATE R) [flyingharuka]
Peacock Flutter (01J00011, NSW/ACT) [Dam0, Heihachi_73]
Samsung Saturn (Korea) [Angelo Salese]


New working software list additions
-----------------------------------
arb: Avelan [hap, Wolfgang Zugrav]
cdi:
  Getting Ahead - Making Time (Euro, reprint), Nijmegen 'n rijk aan mogelijkheden (NL), Paranasal Sinuses & Anterior Skull Base,
  Sinnaneun Susjanala 2 (KR), Ulihamkke Bulleoyo - Chinguwa Hamkke (KR), Ulihamkke Bulleoyo - Jayeongwa Hamkke (KR)
  [Gaming Alexandria, David Silva]
coco_flop: Joust (6809 Transcoded - v1.10) (512kb) [Glen Hewlett]
fmtowns_cd:
  CRI Postman, Hyper Aquarium - Kaisui-hen, Hyper Aquarium - Tansui-hen, Hyper Eigo Gakushuu System - New Crown English Series 1,
  Igo Doujou Yaburi - Menkyo Kaiden!! Mezase 7-kyuu, J.League 1994 Professional Soccer, Master CD - Fresh Series-you,
  Meikyoku Master (FM Towns Marty version), Nihon no Rekishi - Sengoku-hen - Oda Nobunaga,
  Nihongo Nyuumon Dai-1-kan - Fundamental Japanese, Steepia, TownsPAINT V1.1 L21 [redump.org]
  Dynamic English 3 - Upper Basic, FM Towns Shougaku Ongaku (5-6-nensei-you), Touch the Music by Casiopea [redump.org, cyo.the.vile]
fmtowns_flop_orig:
  Houma Hunter Lime Dai-1-wa, Houma Hunter Lime Dai-2-wa, Houma Hunter Lime Dai-3-wa, Kitty World 2,
  Sadistic Gamers Part-3 - Telephone Play, Sadistic Gamers Part-5 - Burusera Play [cyo.the.vile]
  Metal Eye Special Disk [r09]
gameboy: Sarakon (prototype) [Gaming Alexandria]
ibm5150:
  Avoid the Noid, Bad Blood (3.5"), Bad Blood (5.25"), Bill & Ted's Excellent Adventure,
  Conquests of Camelot: The Search for the Grail (3.5"), David Wolf: Secret Agent, Emmanuelle: A Game of Eroticism, Feud,
  Final Orbit, Frontline, Hostage: Rescue Mission [The Good Old Days]
ibm5170:
  Star Wars - X-Wing - Space Combat Simulator (Spain) [archive.org]
  The Games: Winter Challenge (3.5" HD), HardBall 3 (3.5" DD), HardBall 3 - MLBPA Players Disk [Old-Games.RU]
  DOOM (Japan, v1.1) [r09]
  Advanced Dungeons & Dragons - Unlimited Adventures, HardBall 3 (5.25" HD), Hexx: Heresy of the Wizard, Hyperspeed (3.5" DD),
  Hyperspeed (5.25" HD), Jack Nicklaus Golf & Course Design: Signature Edition (5.25"), Nigel Mansell's World Championship Racing,
  Space Quest IV: Roger Wilco and the Time Rippers (v1.052), Space Quest IV: Roger Wilco and the Time Rippers (v1.1),
  The Games: Summer Challenge, The Games: Winter Challenge (3.5" DD), Tony La Russa Baseball II [The Good Old Days]
  Doukyuusei, Doukyuusei 2, Kairaku no Okite - Aoi Taiken [wiggy2k]
ibm5170_cdrom: Paranasal Sinuses & Anterior Skull Base [Gaming Alexandria, David Silva]
nes:
  9 in 1 (Journey to the West), 11 in 1 (A-042), 35 in 1 (HM5511), 68 in 1 (HM5511), 1994 Super HiK 6 in 1 (A-017),
  5000000 in 1 (JPx72), Donkey Kong 8 in 1 (JY-041), Super 190 in 1, Star Versus [anonymous]
  2 in 1 Uzi Lightgun [CaH4e3]
  4 in 1 (0203), 80 in 1 (KD-6096) [Consolethinks]
  4 in 1 (0207), 4 in 1 (0210), 9999999 in 1 (KD-6037-B), Olympic 2000 1000000 in 1 [Consolethinks, MrNorbert1994]
  7 in 1 1993 Chess Series (JY-015) [Consolethinks, NewRisingSun]
  14 in 1 (NTDEC) [Consolethinks, Nikolka]
  4 in 1 HQ [famiac]
  Gauntlet (USA, alt PCB) [kmg]
  Highway Star (Whirlwind Manu bootleg), Sangokushi III - Haou no Tairiku (Asia, Sangokushi II pirate) [krzysiobal]
  1997 Super 6 in 1 (JY-202), 1997 Super 7 in 1 (JY-201), 1997 Super 7 in 1 (JY-203), 1997 Super 7 in 1 (JY-204),
  1997 Super 7 in 1 (JY-205), 1997 Super 7 in 1 (JY-206), 1997 Super HiK 4 in 1 (JY-021) [MLX]
  2 in 1 - The Lion King & Bomber Boy, 9 in 1, 1993 Super HiK 8 in 1 (G-002) [NewRisingSun]
  1995 Super HiK 4 in 1 (JY-022), 1996 Super HiK 4 in 1 (JY-051) [NewRisingSun, taizou]
  Super Russian Roulette [re4mat]
  Super 8 in 1 (Supervision menu) [v5100v5100]
pc8001_flop:
  15 Puzzle (alt), 2001 A Space Odyssey (v1.2), 3 by 4 (alt), 7 Narabe, The Akunin, The Akunin (alt), The Akunin 2,
  The Akunin 2 (alt), The Akunin 3, The Akunin 3 (alt), Alien Bomb, Alien Fall, Alien Fall (alt), The Alien Island 3D-Version,
  Alien Part 2, Alien Part 2 (alt), Astoria, AY-1 Fortress Solomon (bootleg), AY-2 Orion80 (alt), BDS C (v1.50), Backgammon,
  Bastille Rougoku, Beep Music Test, Beep Music Test 2, Block, Bomber Game, Bug Fire!, Bug Fire! (alt), City Line,
  Combat (v1.2, alt), Computer Othello, Computer Othello (alt), Cosmic Ineiger (v1.0), Cosmo Missile, Cosmo Missile (alt),
  Cosmo Traveler (v1.1), CP/M for PC-8001 (v2.2), CP/M for PC-8001 (v2.2, alt), CP/M for PC-8001 (v2.2B),
  Dasshutsu! Shi no Aokigahara, Destroy Helicopter, Destroy Helicopter (alt), Dinosaur N, Docking Three, Dragon 'N' Spirit,
  Dragon Lair, Dual Alien (alt), Dungeon, Emmy, Emmy (alt), Emmy (alt 2), Emmy (alt 3), Emmy (alt 4), Europe Taisen, Fan Fun (alt),
  The Farway, Fejone Buster, Fenix Part 2, Fenix Part 2 (alt), Flag World, Flag World (alt), Foresight #01, Foresight #16 (Demo),
  Foresight #18 (Inu), Foresight #19 (Drive), Foresight #21 (Man), Foresight #22 (Back), Foresight #39 (Demo),
  Fruits Fields (N-BASIC version), Galaxian (Geimu Kyoujin), Galaxian (alt Geimu Kyoujin), Galaxy Bats, Galaxy Fighter,
  Gekisen! Minami Taihei-yo (alt), Gekisen! Minami Taihei-yo (alt 2), Genma Taisen, Golgo 13 - Moretti Ikka Zansatsu Jiken,
  The Guardian, Hammer Break, Hammer Break (alt), Hammer Break (alt 2), Hashire! Skyline (alt 2), Hashire! Skyline (alt 3),
  Heart Catch Harumi-chan, Heiankyo Alien (Arrange ver.), Heiankyo Alien (Original ver.), Hokkaido Bouei Sakusen, Hon Shogi,
  Hu's Mind, I wa Sanjutsu Nari (alt), Ice World II, Ice World II (alt), JRT Pascal, Jankyu, Kawanakajima no Kassen, Ken to Mahou,
  Ken to Mahou (alt), Manbiki Game (alt), Missile Commander, Missile Commander (alt), Missile Commander (alt 2),
  Mojidoori Wa o Tsukurou, Monster and Ball, Moon Beam, Morita Othello (v2.7), Morita Othello (v2.7, alt 2),
  Morita Othello (v2.7, alt), N BASIC system disk (PC-8034-2W), N BASIC system disk (PC-8034-2W, alt 2),
  N BASIC system disk (PC-8034-2W, alt), N-BASIC Games (compilation), NS-DOS Pack (compilation), Ndisk (compilation),
  New Rally-X (Komaj), Newpc (compilation), Ninja Yashiki, Nippon Rettou Kaishime Game, Nobunaga no Yabou (N Basic),
  Normandy Jouriku Sakusen (alt), Normandy Jouriku Sakusen (alt 2), The Oil Field, Omotesando Adventure,
  PC-8001 BASIC Game Book (compilation), PC-8001 Game Pack (compilation), PC-8001 Games (compilation), PC-8001 Micro Disk Basic 2W,
  Pac-World, Pac-World (alt), Pachinko, Pack Man Modoki, The Planet Miners, Popping Panic, Puck Man, Puck Man (alt), The Racer,
  Rem & Lum, RGB Colors Game, River Rescue (alt), S-DOS Game Pack (compilation, alt 2), S-DOS Game Pack (compilation, alt),
  Scramble (alt 2), Scramble (alt), Select 5, Shogi Trainer, Space Amoeba (N Basic), Space Base, Space Flaper (v1.0), Space Follow,
  Space Pattern, Space Pulsar, Space Travel, Space Trip 2 "Melyos" (v1.1), Spy Daisakusen (N Basic, alt), Star Fire!!! (v1.0),
  Stop! Harumi-chan, Submarine Part 2, Submarine Part 3, Super Balloon (alt), Surabaya-oki Kaisen, Takahashi Harumi programs,
  Tank Batabata, Tengoku to Jigoku (alt), Tennis (Kiyoshi Kawamura), Terra SOS, Tetris-8001 (alt), Tetris-8001 (alt 2), Tlix,
  Toriaezu Tinyan da yo!, Toriaezu Tinyan da yo! (alt), Toushi Game, Tsume Shogi, UFO, Uchuu Ei, Underground Monster,
  <Unknown> Foresight (Demo), Various, Various (alt), Various 2, Various 2 (alt), World Alien, Yojigen no Ie - 4 Dimension House,
  Yuureisen, Zaxus (alt) [Neo Kobe Collection]
pc8001mk2_flop:
  Cranston Manor, Game-PC (Collection), N80 BASIC system disk (alt), N80 and N88 Disk BASIC Utility Collection,
  Ulysses and the Golden Fleece [Neo Kobe Collection]
pc8001mk2sr_flop:
  Mappy (mkIISR), N80SR BASIC system disk (PC-8037SR), PC-8001mkIISR Game Pack (Compilation), Xanadu (mkIISR) [Neo Kobe Collection]
pc8801_flop: Shikotei (alt) [Neo Kobe Collection]
pc98: Marubatsu EXE, Sabnack [Justin Kerk]
samcoupe_flop:
  Batz 'n Balls, Domino Box, Double Top, Exodus, Five on a Treasure Island, Quizball, Spell Master, Splat! [World of SAM]
snes:
  Raiden Densetsu (Jpn, prototype) [Gaming Alexandria]
  Raiden Trad (USA, prototype) [Revenant]
spectrum_cass:
  Blam!, Esquimó, O Globo da Luz, Golden Pack 100, Pesquisa Submarina, The Raven + Polearn, Travessia, Travessia (alt), Vampiri,
  WOSP - Whole Orbit Survey Plotter [Planeta Sinclair]
  Action Force (Dro Soft), Combat School (Erbe), Cross, Insomnia, Mr. Weems and the She Vampires (Zafi Chip), Silent Service (Erbe),
  Turbo Esprit (Durell) [spectrumcomputing.co.uk]
tx0_ptp: Munching Squares, Punchy [Bitsavers, AJR]
vectrex: Star Sling Turbo Edition, Vec Sports Boxing [Justin Kerk]
vgmplay:
  Alien Crush (TG-16), Angelic Warrior DEVA (MSX2, OPLL), Angelic Warrior DEVA (MSX2, OPLL+OPL1),
  Bomberman Panic Bomber (SNK Neo Geo), Bubblegum Crash - Knight Sabers 2034 (PC Engine), Galaga '88 (TG-16),
  Hayaoshi Quiz Grand Champion Taikai (Jaleco Mega System 32), Hayaoshi Quiz Nettou Namahousou (Jaleco Mega System 32),
  Hayaoshi Quiz Ouza Ketteisen - The King Of Quiz (Jaleco Mega System 1-B), Herzog (MSX2, PSG), I.M. Meen (IBM PC AT),
  MoonDriver Demo (MSX2+), Ooparts (Sega System C-2),
  Pocket Monsters Advanced Generation - Hiragana Katakana Kakechatta! (Sega Pico), Rod Land (Jaleco Mega System 1),
  The Smurfs (Nintendo Game Boy), The Smurfs' Nightmare (Nintendo Game Boy Color),
  Street Fighter II' - Champion Edition (PC Engine), Strip Fighter II (PC Engine), Sutte Hakkun GB (Nintendo Game Boy),
  Toilet Kids (PC Engine), Toy Shop Boys (PC Engine), Tricky Kick (TG-16), Turrican (Atari ST),
  Turrican II - The Final Fight (Atari ST), V-Tetris (Nintendo Virtual Boy), Valna (NEC PC-8801), Victory Run (TG-16),
  Waterworld (Nintendo Virtual Boy), World Court Tennis (TG-16), Zanac A.I. (NES) [vgmrips.net, Tafoid]
vsmile_cart:
  The Adventures of Little Red Riding Hood (USA), Barney - The Land of Make Believe (USA), Care Bears - A Lesson in Caring (USA),
  Disney Handy Manny (USA), Disney's Cinderella - Cinderella's Magic Wishes (USA, rev. 101), Disney/Pixar Up (USA, rev. 001),
  Nick Jr. Wow! Wow! Wubbzy! (USA), TinkerBell (USA) [skaman]


Software list items promoted to working
---------------------------------------
fmtowns_cd: Hyper Note [cyo.the.vile]
nes:
  Toy Story [etabeta]
  2 in 1 (J-M2), 2 in 1 (King005), 2 in 1 Super 808, 3 in 1, 5 in 1 (SPC005), 9 in 1 King001, 15 in 1, 42 in 1 (Reset Switch),
  70 in 1, 76 in 1 (alt games), 800 in 1, Garou Densetsu Special (Asia, alt), Ghostbusters 63 in 1,
  Jīng Kē Xīnzhuàn (China, Shenzhen Jncota), Maxi 15 (Aus), Maxi 15 (USA), Maxi 15 (USA, v2.0), Mortal Kombat 3 Extra 60 (Asia),
  Mortal Kombat 3 Extra 60 (Asia, alt), Prima Soft 9999999-in-1 (02 8807870-3), Quánhuáng R-2 - Dàshé Sìtiānwáng (China),
  Shènghuǒ Lièzhuàn (China), Super 128k - 16 in 1, Super 308 3 in 1, Wángzhě Wúshuāng (China), Xiákè Chuánqí (China),
  Yǒngzhě Chuánshuō (China), Zhànguó Fēngyún (China) [kmg]
  Blood of Jurassic (GD-98) [NewRisingSun]
pc8801_flop:
  177 (alt), 177 (alt 2), 177 (alt 3), 177 (alt 4), AcroJet, Agni no Ishi - The Stone of Agni,
  Agni no Ishi - The Stone of Agni (Mad?), Alpha (Demo), Amazones no Hihou - Romancing Grey-I, Sangokushi (19860416, Alt),
  Sangokushi (Original Release?) [Angelo Salese]
pc98: Datsui Mahjong Margarita, Locus Alba, Lotus 1-2-3 (Demo), Metal Mover Jastrike, Trial of Fours [Angelo Salese]
saturn:
  Big Ichigeki! Pachi-slot Daikouryaku (Jpn, v1.000), Capcom Generation - Dai-1-Shuu - Gekitsui Ou no Jidai (Jpn),
  Capcom Generation - Dai-5-Shuu - Kakutou ke Tachi (Jpn), Shichisei Toushin Guyferd - Crown Kaimetsu Sakusen (Jpn) [Angelo Salese]


New NOT_WORKING software list additions
---------------------------------------
apxen_flop:
  Various Diags, XEEROM, XEN Boot Disk MS-DOS 3.2 BIOS 1.9.0 and Utilities [ACT/Apricot]
  Various Diags, XEEROM (cracked) [Dirk Best]
cdi:
  Bill Brandt: The Picture Post Years 1938-1951, CD-i in Schools, Depression - The Search For The NaSSA (NL),
  From The Associated Press: The Best of Photo Journalism, Peaches [Gaming Alexandria, David Silva]
easy_karaoke_cart: Mega Hits Vol.2 [David Haywood, TeamEurope]
fmtowns_cd: Dynamic English 2 - Basic [redump.org]
pc8001_flop: 300m (alt), Dig Dug (PCG), The Dusty World (PCG), Planet Taizer (alt), Seiken Densetsu, Snake [Neo Kobe Collection]
wicat: WICAT Unix (Ver. 2.0), WICAT Unix (Ver. 2.2.0) [Josh Dersch]


Merged pull requests
--------------------
- 7880: Decoupled RPK format logic from the TI-99 cartridge code. [Nathan Woods]
- 8456: formats, osd, util: Started modernising file/stream/archive I/O interfaces. [Vas Crabb]
- 8470: video/upd7220.cpp: Don’t run wdat if figd figure type is set, and set the pattern in wdat. [Carl]
- 8475: Refactored NEC PC-98 drivers, separating different hardware types. [Angelo Salese]
- 8481: bus/nes: Improved emulation for 8237/8237A boards. [kmg]
- 8483: kikikai.cpp: Fixed a cross-reference note. [cam900]
- 8485: bus/nes: Added support for a 9-in-1 multi-game cartridge. [kmg]
- 8487: rfslotsmcs48.cpp: Add year for ‘babyfrts25’. [ClawGrip]
- 8488: render/bgfx: Fixed off-by-one issue in fs_blit_palette16 affecting carpolo, kncljoe, and other drivers. [Ryan Holtz]
- 8489: sound/ics2115.cpp: Implemented stereo panning support. [nabetse]
- 8490: bus/nes: Added support for a Highway Star bootleg. [kmg]
- 8493: f-32.cpp: Added lamps, input and protection handling for royalpk2. [Ryan Holtz]
- 8494: nes.xml: Set correct board type for garousp1 and sonic3d6h. [kmg]
- 8495: bus/nes: Simplified a few related Kasheng and Hosenkan board. [kmg]
- 8496: vsmile_cart.xml: Fixed hashes for “cinderlanl” and “cinderlasp”. [ClawGrip]
- 8498: debugger/debuggdbstub.cpp: Fixed m_readbuf_state starting in undefined state. [Alex Siryi]
- 8500: bus/nes: Added support for several Shenzhen Jncota RPGs. [kmg]
- 8502: bus/nes: Added support for Blood of Jurassic and Super Hang-On. [kmg]
- 8503: r2dx_v33.cpp: Added notes about the 1998 release of New Zero Team. [cam900]
- 8504: Implemented non-ideal behavior of game I/O port one-shot timers for Apple II and clones. [xotmatrix]
- 8505: render/bgfx: Fixed UV rounding errors in fs_blit_palette16, allowing direct indexed texture uploads. [Ryan Holtz]
- 8507: vsmile_cart.xml: Marked “mannyfr” as a clone of “mannyge”. [ClawGrip]
- 8508: formats/wd177x_dsk.cpp: Added head count check to compatibility test. [Jesse Marroquin]
- 8510: ui: Added ability to zoom out to fractional sizes in the tilemap viewer. [Ryan Holtz]
- 8513: bus/nes: Fixed several games not loading in Maxi 15 multi-game cartridges. [kmg]
- 8516: render/bgfx: Use D32F texture format rather than D24 (fixes issues with AMD GPUs). [Belegdol]
- 8519: video/gime.cpp: Fixed shape of £ and ƒ characters in the hand-built character data. [Tim Lindner]
- 8520: missbamby.cpp: Identified unknown game and added its PCB layout, and dumped the PROM for “basket”. [jordigahan, ClawGrip]
- 8521: video/toaplan_scu.cpp: Use single-pass priority drawing for sprites. [cam900]
- 8522: easy_karaoke_cart.xml: Added Mega Hits Vol.2. [TeamEurope, David Haywood]
- 8524: rfslotsmcs48.cpp: Corrected comments about populated devices in “babyfrts”. [ClawGrip]
- 8525: konmedal68k.cpp: Fixed visible area for konslot and konslot2. [David Haywood]
- 8526: bus/nes: Fixed graphical issues for N625092-related multi-game cartridges. [kmg]
- 8527: bus/nes: Moved gc6in1 games over to 8237 board and removed old code. [kmg]
- 8528: render/bgfx: Use R8 texture format for bitmap_ind16 contents. [Ryan Holtz]
- 8529: cdi.xml: Added five items. [Gaming Alexandria, David Silva]
- 8531: spg2xx.cpp, spg2xx_jakks.cpp: Added two TV games. [Sean Riddle, David Haywood]
- 8532: Added floppy support for the NEC PC-8001, improved µPD3301 emulation, and split up software lists. [Angelo Salese]
- 8533: bus/nes: Added support for HP-898F board and related multi-game cartridges. [kmg]
- 8536: machine/fdc37c665gt.cpp: Fixed address usage for serial port registers. [Windy Fairy]
- 8539: saturn.xml: Corrected description for “zico”. [ArcadeShadow]
- 8540: atarisy1.cpp: Adjusted sound levels to avoid clipping in indytemp when speech is playing. [algestam]
- 8544: docs: Updated the RTD theme to the 1.0.0rc1 release (includes Sphinx 4 CSS fixes). [Aaron Giles]
- 8547: bus/nes: Added support for A88S-1 board and related multi-game cartridges. [kmg]
- 8549: bus/nes: Added support for a 4 in 1 multi-game cartridge. [kmg]
- 8550: bus/nes: Improved interrupt emulation emulation for Kaiser KS202 and KS7032 boards. [kmg]
- 8551: ibm5170.xml: Added four items. [r09, wiggy2k]
- 8552: segahang.cpp: Hooked up microcontroller for sharrier and removed simulation code. [Dirk Best]
- 8553: Adjusted levels in Votrax SC-01 device and various drivers to avoid saturating outputs. [David Haywood]
- 8554: ibm5170.xml: Added seventeen items. [The Good Old Days, Old-Games.RU, archive.org, ArcadeShadow]
- 8555: psikyo.cpp: Fixed sound output saturation in gunbird. [algestam]
- 8556: audio/segam1audio.cpp: Reduced levels to fix saturated sound outputs for Sega Model 1 and Model 2 games. [algestam]
- 8557: Updated PCB details for A Ressha de Ikou, making it playable. [kmg]
- 8558: 4enraya.cpp: Added an unknown French bowling-themed poker game with gum payout. [Benjamin Roux, David Haywood]
- 8559: bus/nes: Added support for MMC1-based multi-game cartridges. [kmg]
- 8561: bus/nes: Improved emulation for T-262 board and related multi-game cartridges. [kmg]
- 8562: nes.xml: Set correct board types for several games, and removed a hacked dump. [kmg]
- 8564: ibm5150.xml: Added eleven items. [The Good Old Days, ArcadeShadow]
- 8565: bus/nes: Fixed Super HiK 4 in 1 so that Master Fighter III loads. [kmg]
- 8566: blockout.cpp: Fixed description for agress lives DIP switch. [Kaito Sinclaire]
- 8567: bus/nes: Fixed graphical issues for BMC-20IN1, BMC-SUPER700IN1 and BMC-VT5201 cartridges. [kmg]
- 8568: bus/nes: Simplified Zemina board emulation, and cleaned up some comments. [kmg]
- 8571: bus/nes: Added support for 820720C and JY820845C multi-game cartridges. [kmg]
- 8573: bus/nes: Improved emulation of reset-based 42 in 1 cartridge. [kmg]
- 8574: bus/nes: Added support for an NTDEC 14 in 1 cartridge. [kmg]
- 8575: util/delegate.cpp: Eliminated a level of indirection for delegates bound to functoids. [Vas Crabb]
- 8578: Do not use the -m64 compiler switch when building for 64-bit RISC-V. [Graham Inggs]
- 8580: bus/nes: Fixed empty menu in Super 128k - 16 in 1, and fixed Ghostbusters 63 in 1 cartridge emulation. [kmg]
- 8581: msx.cpp: Fixed a spelling error in the description for hbf9pr (MT08085). [kmg]
- 8583: video/gime.cpp: Update interrupt outputs when master interrupt switches change. [Tim Lindner]
- 8584: bus/nes: Added support for two more multi-game cartridges. [kmg]
- 8585: bus/nes: Fixed graphical glitches for multi-game cartridges using the BMC-GKB board. [kmg]
- 8586: djmain.cpp: Added beatmania complete MIX (ver AA-C) (Asian English version). [DeepSeaSqueeze, Windy Fairy]
- 8587: spectrum_cass.xml: Added seventeen new entries and four re-dumps. [Planeta Sinclair, spectrumcomputing.co.uk, ArcadeShadow]
- 8588: fmtowns_flop_misc.xml, fmtowns_flop_orig.xml: Added seven items, and fixed various issues in the lists. [r09, cyo.the.vile]
- 8589: util/delegate.cpp: Fixed multiple issues, particularly affecting classes using multiple inheritance. [Vas Crabb]
- 8591: bus/nes: Added support for Super Russian Roulette. [kmg]
- 8592: formats/sc3000_bit.cpp: Added TZX to the list of tape formats for the Sega SC-3000. [Fabio DL]
- 8593: acesp.cpp Dumped MC68705P3 microcontrollers from two types of sp.ACE fruit machine reel driver board. [TTX, David Haywood]
- 8594: fmtowns_cd.xml: Added sixteen new items, replaced seven items with better dumps, and added two missing floppy images.
  [redump.org, cyo.the.vile, akira_2020, r09]
- 8595: merits.cpp: Correctly identified unknown set as “Pub Time Darts II”. [ClawGrip]
- 8596: samcoupe_flop.xml: Added eight items. [World of SAM, ArcadeShadow]
- 8598: bus/nes: Added support for Star Versus. [kmg]
- 8599: vsmile_cart.xml: Added eight items. [skaman, ClawGrip]
- 8600: vsmilem_cart.xml: Added note about pocket cartridges using the same ROMs as the motion ones. [ClawGrip]
- 8601: hh_sm510.cpp: Added cheat inputs for gnw_flagman, gnw_judge and gnw_lion. [Milan G., algestam]
- 8602: gameboy.xml: Added Sarakon (prototype). [Gaming Alexandria, ArcadeShadow]
- 8603: bus/nes: Added support for Donkey Kong 8 in 1; nes.xml: Set correct board type for Grandia games. [kmg]
- 8604: snes.xml: Added two Raiden prototypes. [Gaming Alexandria, Revenant, kmg]
- 8607: mpu4.cpp: Added three Vifico Escalera Tobogan sets. [jordigahan, ClawGrip]
- 8608: saturn.cpp: Added placeholder system for Korean BIOS, and fixed some issues affecting various games. [Angelo Salese]
- 8609: bus/nes: Reimplemented BMC-70IN1 and BMC-800IN1 board emulation and added iNES loader support for them. [kmg]
- 8610: 4enraya.cpp: Added ASCII PCB layout for “tourpgum”. [ClawGrip]
- 8612: cdi.xml: Added six items (one also appears in ibm5170_cdrom.xml). [Gaming Alexandria, David Silva]
- 8614: bus/nes: Simplified handling of SXROM and SOROM boards fitted with MMC1A chips. [kmg]
- 8615: bus/nes: Added support for a bootleg Sangokushi II cartridge. [kmg]
- 8616: video/antic.cpp: Fixed effects of DLISTL and DLISTH writes on DPAGE and DOFFS, and fixed issues with modes 2, 3 and 15.
  [Golden Child]
- 8617: bus/nes: Uncommented some existing code for supporting the Toy Story pirate cartridge. [kmg]
- 8618: nes.xml: Removed a duplicate dump of Xiāngshuài Chuánqí. [kmg]
- 8620: bus/nes: Fixed hard-wired four-screen mirroring for MMC3 games. [kmg]
- 8621: nes.xml: Added an alternate PCB configuration for Gauntlet. [kmg]


Source Changes
--------------
-bus/nes: Improved emulation for 8237/8237A boards. [0kmg]
 * Rewrote 8237 to support games that were previous attached to sg_boog device. pocahon2, the only game previously using 8237, no
    longer crashes in its intro story.
 * Removed all the old commented out sg_boog code.
 * Added initial support for the 8237A variant and its one game, mc_9king.

Software list items promoted to working (nes.xml)
-------------------------------------------------
2 in 1 (J-M2) [0kmg]
2 in 1 (King005) [0kmg]
2 in 1 Super 808 [0kmg]
5 in 1 (SPC005) [0kmg]
9 in 1 King001 [0kmg]
Mortal Kombat 3 Extra 60 (Asia) [0kmg]
Mortal Kombat 3 Extra 60 (Asia, Alt) [0kmg]
Super 308 3 in 1 [0kmg]

-formats, osd, util: Started refactoring file I/O stuff. (#8456) [Vas Crabb]
 * Added more modern generic I/O interfaces with implementation backed by stdio, osd_file and core_file, replacing io_generic.  Also
    replaced core_file's build-in zlib compression with a filter.
 * unzip.cpp, un7z.cpp: Added option to supply abstract I/O interface rather than filename.
 * Converted osd_file, core_file, archive_file, chd_file and device_image_interface to use std::error_condition rather than their
    own error enums.
 * Allow mounting TI-99 RPK from inside archives.

New working machines
--------------------
Danger Express (prototype) [hap]

-missile.cpp: Eliminate space.device() calls [AJR]

-coco_flop.xml: Added new coco3 entry [Scott Stone]

New working software list additions
-----------------------------------
Joust (6809 Transcoded - v1.10) (512kb) [Glen Hewlett]

-kikikai.cpp: added PCB infos, corrected dips [Guru]

-opercoin.cpp: added basic mappings [Ivan Vangelista]

-skylncr.cpp: redumped u29 for speedway [Ioannis Bampoulas]

-kikikai.cpp: compile fix [Ivan Vangelista]

-cv1k: split espgal2 recent u4 dump [hap]

-apxen: Default eeprom, fix floppy change detection, initial software list [Dirk Best]

-cv1k: update espgal2 pcb note [hap]

-cv1k: add note about CV1000-B [hap]

-hh_tms1k: correct ti5100 machine category [hap]

-cv1k: small cleanup [hap]

-Add compile-time option to show visible annoying red border when sound is overdriven. Leaving it on for a bit at the start of the
 cycle so that devs might identify and fix some of these cases. [Aaron Giles]

-bus/nes: Added support for a 9-in-1 multicart. [0kmg]
 * Also, 8237 board improvements from previous commit now work when loading loose .nes files.

New working software list additions (nes.xml)
---------------------------------------------
2 in 1 - The Lion King & Bomber Boy [NewRisingSun]
9 in 1 [NewRisingSun]

-okim6295, okim6376, okim9810: Explicitly clamp output streams to within range [AJR]

New working clones
------------------
Leader (version Z 2F, Greece) [Ioannis Bampoulas]

New clones marked as NOT_WORKING
--------------------------------
Carnival (cocktail, earlier) [Kevin Eshbach]

-Fix overdriven sound in various Atari games. [Aaron Giles]

-Major state refactoring of pc98 based HW (#8475) [Angelo Salese]
 * First major step in splitting up machine classes in NEC PC98 family tree:
   - Splits up derivative HWs into own state machine and files (pc98ha.cpp, pc9821.cpp and pc9801_epson.cpp);
   - Adds a preliminary uPD4991a parallel RTC, used by pc98ha;
   - Fix -26, -86, -118 C-bus sound board dips or jumper settings;
   - Fix default sound card for pc9821 (-86) and pc9821ce2 / pc9821cx3 (-118);
   - Adds preliminary MAD Factory Otomichan-kai C-bus sound board;
   - Adds boilerplate code for C-bus installing board I/Os, avoiding the possible inconvenience of board(s) getting silently
      unmapped by other installed boards;
   - Major refactoring of HW dip switches readouts, using required_ioports instead of scattering things around in PPI hooks;
   - Extensive QA rundown, including research on missing features and undumped machines.
     * pc9801.cpp: Don't passthrough mouse irq frequency when cycle setting is setup too, fixes jastrike mouse input on options
        menu. pc9801.cpp: Fix kanji RAM window LR readback, makes telenetm to properly display 8x16 chars on RS and derivative
        machines. pc8801.cpp: fixed OPNA RAM readback, allowing SWs to playback ADPCMs properly.

New machines marked as NOT_WORKING
----------------------------------
PC-98LT [anonymous]
PC-98HA "Handy98" [anonymous]
PC-9821Nr15 (98NOTE Lavie) [flyingharuka]
PC-9821Nr166 (98NOTE Lavie) [flyingharuka]
PC-9821Nw150 (98NOTE Lavie) [flyingharuka]
PC-9821Ra266 (98MATE R) [flyingharuka]
PC-9821Cx3 (98MULTi CanBe) [flyingharuka]
PC-9801VX [qazmko1029]
PC-9801US [CoolMod]

-rfslotsmcs48.cpp: Add year for 'babyfrts25' [ClawGrip]

-xexex: clip less [Olivier Galibert]

-cv1k: fix small typo [hap]

-upd7220: don't run wdat if figd figure type is set and set the patter… (#8470) [cracyc]
 * upd7220: don't run wdat if figd figure type is set, set the pattern in wdat and reset figure type

-bgfx: Revised fs_blit_palette16 to not use pixel rounding. Fixes issues in carpolo, kncljoe, and others. [Ryan Holtz] (#8488)
 [MooglyGuy]

-seta.cpp: Rebalance audio levels in most games [AJR]

-mario: Reduce volume so we don't clip constantly just when running around. [Aaron Giles]

-goldstar.cpp: decryption progress on super7. It now gets in game but needs GFX and color fixes, plus decryption might have some
 error lurking [Ivan Vangelista]

New working clones
------------------
unknown 'Pac-Man' gambling game (set 2) [Nnap]
Pucman [Nnap]

-cromptons.cpp: Note [AJR]

-cromptons.cpp: Improve note [AJR]

-bus/nes: Added support for a Highway Star bootleg. [0kmg]
 * Renamed hstarfds to highwayk. It cannot be an FDS bootleg since Highway Star only appeared on cart.
 * Demoted all Rad Racer/Highway Star games to partially supported due to severity of graphical issues (car dashboard flickers to
    top of screen, etc).

New working software list additions (nes.xml)
---------------------------------------------
Highway Star (Whirlwind Manu bootleg) [krzysiobal]

-kncljoe: fix off-by-1 with sprite layer clip [hap]

-es5503.cpp: Initialize variable properly; clean up code a little [AJR]

-asuka.cpp: added PCB infos for Bonze Adventure [Guru]

-i386.cpp: when DEBUG_MISSING_OPCODE is defined, log a small backtrace This way together with the full list of bytes that form the
 non recognized opcode there are the addresses of the previously executed instructions. [yz70s]

-8042kbdc.cpp: improve management of ps/2 mouse [yz70s]
 * add mouse interrupt
 * support more mouse commands
 * use command byte to enable/disable mouse and keyboard interrupts
   - Now the ps/2 mouse works with windows 98

-fdc37c93x.cpp: update to support ps/2 mouse [yz70s]

-pcipc.cpp: remove serial mouse and use virge instead of virge dx Because now the ps/2 mouse works and the virge dx is buggy during
 windows xp setup (then after it has installed you have to boot in vga mode) [yz70s]

-vgmplay.xml: Added 31 new entries [vgmrips.net, Tafoid]

-mac128.cpp: Force native aspect ratio for screen [AJR]

-atarig42: correct wrong use of NO_DUMP cv1k: correct title of "oooku" gng: change makaimur title string to Makaimura [hap]

-atarig42: remove undumped dangerex proms(not used by MAME) [hap]

-tx0dasm.cpp: Add notes on OPRs for reference [AJR]

-gts1: various fixes. Still not working though. [Robbbert]

-nes.xml: Set correct board type for garousp1 and sonic3d6h. [0kmg]

Software list items promoted to working
---------------------------------------
Garou Densetsu Special (Asia, alt) [0kmg]

-bus/nes: Simplified a few related boards by Kasheng and Hosenkan. [0kmg]
 * Reduced redundant code by making "kasing" device parent class for sglionk/sgboog. The latter are identical save for the extended
    register/address scrambling.
 * Eliminated hosenkan device altogether (mapper 182). It is identical to sglionk (mapper 114).

-hd6120: Fix effect of TAD on LINK flag [AJR]

-osd: Return would block when reading a socket with no data available - no error can be confused with remote shutdown. [Vas Crabb]

-vicdual.cpp: corrected a PROM label and location for Carnival sets using standard PCB [Kevin Eshbach]

New clones marked as NOT_WORKING
--------------------------------
Cherry Bonus III (set 5, encrypted bootleg) [Ioannis Bampoulas]

-MT2099: Reduce overdriven audio volumes. [Aaron Giles]

-vsmile_cart.xml: Fix hashes for 'cinderlanl' and 'cinderlasp' (#8496) [ClawGrip]
 * Removed 'cinderlanla', as it was the same set as 'cinderlanl'.

-gts1: Descriptions for dips. [Robbbert]

-gts1: removed unused line of code. [Robbbert]

-Implemented pan for stereo support for ics2115 (#8489) [nabetse]

-Octalize watchpoint hit message for memory spaces defined as octal [AJR]

-points.cpp: Minor correction to aef90f0db9ae60be5d03e86b4418c57f10f6b06b [AJR]

-Missile / Circuit (bootleg of Alpha Fighter / Head On) [MikeMcBike]

New machines marked as NOT_WORKING
----------------------------------
Que Long Gao Shou [Guru, DYQ]

-debugger/debuggdbstub.cpp: Initialise m_readbuf_state on construction. (#8498) [Alex Siryi]

-spirit76: Added a layout. [Robbbert]

-lchicken: use output_finder [hap]

-harddriv.cpp, kenseim.cpp: Use output finders instead of output().set_value [AJR]

-Miscellaneous clean-up. [Vas Crabb]
 * play_1.cpp: Use output finders.
 * s3.cpp, s4.cpp, s6.cpp, s6a.cpp: Use output finders, reduced tag lookups.
 * taito_z.cpp: Use output finders, split up state class a little.
 * util/unzip.cpp: Use std::optional to make code clearer.
 * util/ioprocsfilter.cpp: Work around MSVC DevCom-1516410.

-cybstorm.cpp: Cleaned up inputs and added comments to match observations and behaviours in test mode.  [David Haywood]

-f-32.cpp: royalpk2 fixes and updates (#8493) [Ryan Holtz]
 * royalpk2 is now essentially playable, but marked not working due to settings-saving issues.

-cpu/e132xs: Fixed issues with SARDI instruction (fixes mosaicf2). [Ryan Holtz]

-bgfx: Fixed UV rounding errors in fs_blit_palette16; Switched back to direct texture upload rather than CPU copy. (#8505)
 [Ryan Holtz]

-vsmile_cart.xml: Fix parent-clone relationship [ClawGrip]

-wd177x_dsk.cpp: Add head count check [Jesse Marroquin]
 * Prevents further evaluation of incompatible formats.

-gaelco3d: Fix overdriven sound [Aaron Giles]

-toaplan2: Fix ridiculously overdriven sound [Aaron Giles]

-spirit76: Mostly working. [Robbbert]

-dec0: Fix overdriven sound [Aaron Giles]

-cps3: Clamp audio from the custom device [Aaron Giles]

-ghox: Reduce volume to avoid overdriving speaker [AJR]

-bus/nes: Fixed several games not loading in Maxi 15 multicarts. [0kmg]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Maxi 15 (Aus) [0kmg]
Maxi 15 (USA) [0kmg]
Maxi 15 (USA, v2.0) [0kmg]

-fixed one-shot paddle timers in Apple II and clones (#8504) [xotmatrix]

-More miscellaneous cleanup: [Vas Crabb]
 * emu/render.cpp: Use I/O filter for zlib decompression, avoiding the need to use zlib directly.
 * audo/bally.cpp: Moved several constructors out of the header, fixed a save state issue, and made outputs use finders.
 * exidy.cpp: Split up state class and reduced reliance on driver init functions.
 * Changed various drivers to use output finders.

-pc8801: repair holein1 copy protection [cracyc]

-8042kbdc.cpp: mouse reset answers at least one byte if mouse disabled. Makes nforcepc bios happy. [yz70s]

-pc8801: repair acrojet copy protection [cracyc]

-add pc9821.cpp to mess.flt [cracyc]

-Use D32F texture format instead of D24, should fix AMD hardware (#8516) [Julian Sikorski]

New working machines
--------------------
SegaSonic Bros. (prototype, hack) [hap]
Head On Channel (prototype, hack) [hap]
OOParts (prototype) [hap]

-segac2: improve wwmarine controls [hap]

-segac2: mark ooparts as hack [hap]

New working software list additions
-----------------------------------
pc98: Marubatsu EXE, Sabnack [Justin Kerk]

-f-32.cpp: hooked up M6295 to royalpk2 [Ivan Vangelista]

-segas16b.cpp: added proper ROM board IC locations for Riot City [Brian Troha]

-vicdual.cpp: removed MWC flag from alphahob, since the color PROM is actually dumped for this set and the colors are fine
 [Ivan Vangelista]

New working clones
------------------
Casino Five (3315-12, U5-0) [Brian Troha, The Dumping Union]

-segac2: ooparts pcb does have upd sample rom [hap]

-mess.flt: Added pc9801_epson and pc98ha [Robbbert]

-segac2: add another input for ooparts [hap]

-db32016: Added cassette interface [Robbbert]

-viewgfx: Added fractional zoom-out support to the tilemap viewer. Also added IPT_UI_ZOOM_AUTO for toggling auto-zoom mode without
 needing to cycle through all zoom levels. [Ryan Holtz] (#8510) [MooglyGuy]

-Move endianness type into lib/util header [AJR]

-endianness.h: Use namespace std::literals [AJR]

-r2dx_v33: Add note about New Zero Team 1998 release (#8503) [cam900]

-segac2: decouple driver class from md_base_state [hap]

New working clones
------------------
Jor-eop Jeungmyeongseo (Korea) [xuserv, juking]

-Fix two characters inside the GIME (#8519) [tim lindner]

New machines marked as NOT_WORKING
----------------------------------
Zelos (Japan, terminal) [Phil Bennett]

-konmedal68k.cpp: possible identification of konslot and konslot2 sets [Wayder]

-video/toaplan_scu.cpp: Use single-pass priority drawing for sprites. (#8521) [cam900]
 * Use single pass pdrawgfx for sprite vs tilemap priority.
 * Use device-specific delegate for priority mask.
 * Use device_video_interface to find screen.

-spirit76: fixed knocker when free game attained. [Robbbert]

-n8080: move pcb notes to top of driver [hap]

-n8080: merge some input ports, remove tag lookups [hap]

-missbamby.cpp: Identify unknown game and add its PCB ASCII layout and dumped the PROM for "basket" [jordigahan, ClawGrip] (#8520)
 [ClawGrip]
 * missbamby.cpp: Identify unknown game and add its PCB ASCII layout
 * Add 'multy' and remove 'unkslot'
 * missbamby.cpp: Dumped the PROM for "basket" [jordigahan, ClawGrip]

-n8080: add conf setting for switching spacefev to monochrome [hap]

New machines marked as NOT_WORKING
----------------------------------
Diamonds & Hearts - Power Pay (10229311, NSW/ACT) [anonymous]

-aristmk6.cpp: updated documentation [Heihachi_73]

-funkyjet.cpp: moved everything into the driver file, as video/funkyjet.cpp only had one method [Ivan Vangelista]

-n8080: correct highsplt gamename [hap]

-changela: bool(~BIT(x)) is always true (does not fix steering problem) [hap]

-changela: fix steering problem, probably [hap]

-segas16: revert fantzone workaround, it just causes new problems [hap]

-segas16a: reduce overall volume to prevent overdrive [hap]

-unidasm: Add disassembler for DEC VAX architecture [AJR]

-poly.h: Remove unused flags, expose object data array directly, add ability to register other poly_arrays. [Aaron Giles]

-bus/nes: Improved emulation of N625092-related multi-game cartridges. (#8526) [0kmg]
 * Fixes corrupt graphics in multiple games on all seven multi-game carts (including the new addition).
 * Fixes flickering menu for several cartridges, making them usable.

New working software list additions (nes.xml)
---------------------------------------------
5000000 in 1 (JPx72) [anonymous]

-d9final.cpp, ppmast93.cpp, tmspoker.cpp, ultrsprt.cpp: used finders instead of tagmap lookups for rombanks [Ivan Vangelista]

-rjammer: Add screen raw parameters; modernize MSM5205 hookup [AJR]

New working software list additions
-----------------------------------
arb: Avelan [hap, Wolfgang Zugrav]

-bgfx: Switched fs_blit_palette16 to expand bitmap_ind16 contents to R8. Fixes vertical off-by-one shift in games with an odd pixel
 count along X. [Ryan Holtz] (#8528) [MooglyGuy]

-bus/nes: Moved gc6in1 games over to 8237 board and removed old code. (#8527) [0kmg]

-New NOT_WORKING software list additions (#8522) [ClawGrip]
 * easy_karaoke_cart.xml: Mega Hits Vol.2 [TeamEurope, David Haywood]

-rfslotsmcs48.cpp: Fix comments (#8524) [ClawGrip]

-fixes for building with clang 12.0.1 on windows [smf-]

-poly.h: Minor naming/consistency cleanups. [Aaron Giles]

-Add docs for poly_manager. [Aaron Giles]

New NOT_WORKING software list additions
---------------------------------------
Wicat Unix (ver 2.0 and 2.2.0) [Josh Dersch]

-i8257: fix it so tc can work with multiple devices [cracyc]

-tx0.cpp: Further fixes [AJR]
 * Load typewriter input into correct bit positions of LR
 * Invert MSB of display coordinates (fixes tic-tac-toe grid)
 * tx0_8kw: Resolve confusion between SHR and CYR semantics (these were incorrectly swapped)

-m72, segas16b: reduce audio volume [hap]

-machine/fdc37c665gt.cpp: Fixed address usage for serial port registers. (#8536) [987123879113]

-dariusu: add continue price dipswitch vigilant: swap punch/kick buttons to match with arcade cabinet [hap]

-Decoupled RPK logic from TI-99 cartridge code. (#7880) [npwoods]
 * Decoupled support for RPK (RomPacK cartridge images) from TI-99 code, enabling the logic to be leveraged by other drivers.

-ui: Made zoom controls a bit more intuitive. [Vas Crabb]
 * The UI controls are described as zoom in/out, but they had the opposite effect on the palette and tile viewers.  That has been
    changed to make them consistent with the tilemap viewer.
 * Made the default zoom key not act as a toggle.  People are familiar with the function of Ctrl+0/=/- in web browsers, so making
    them behave similarly in MAME should make it more approachable.  Also added the default zoom key to the relevant documentation
    page.
 * Implemented the default zoom key for the palette and tile viewers.
 * In the tilemap viewer, if the view is in default expand to fit mode, zoom in/out starting from the actual zoom ratio.  Once
    again, this behaves more like the zoom controls in a web browser displaying an image so it should be more intuitive.
 * Made more messages from the tilemap viewer localisable.

-util/zippath.cpp: Fixed MT08074. [Vas Crabb]
 * There were multiple issues at play here.  After #8443 was applied, is_root was simply never returning true on Windows, as
    OSD_WINDOWS isn't actually defined outside libosd and libocore.  This caused phantom parent items to appear in disk roots on
    Windows, but it meant that the check in zippath_resolve would always fail so the trailing backslash would be trimmed.  Fixing
    the macro test in is_root meant the trailing backslash from C:\ would no longer be trimmed, which caused the stat in
    zippath_resolve to fail.

-bigbord2.cpp: Hooked up floppy DRQ that had somehow got lost. [Vas Crabb]

-Reduced tag map lookups in several drivers and devices. [Vas Crabb]

-util/coretmpl.h: Removed an overload of bitswap that can be avoided using if constexpr. [Vas Crabb]

-Added doxygen comments to some classes, and fixed several doxygen warnings. [Vas Crabb]

-util, osd: Test for _WIN32 rather than WIN32. [Vas Crabb]
 * In C++17 mode, WIN32 is no longer a predefined macro, although various things in 3rdparty define it to maintain legacy support.
    We're better off moving forward anyway for when WIN32 disappears entirely.  (WIN32 is not a reserved name, while _WIN32 is,
    starting with an underscore follwed by an uppercase letter.)

-tx0.cpp: Add preliminary software list for both systems [AJR]

New working software list additions
-----------------------------------
tx0_ptp: Munching Squares, Punchy [Bitsavers, AJR]

-util/coretmpl.h: Fixed clang narrowing warning. [Vas Crabb]

-amiga.cpp: Change machine configuration sequence so that the 68K CPU always comes first. This works around an issue with the
 debugger trying to focus first on a keyboard MCU being held in reset. [AJR]

-calchase.cpp: Don't try to use portr for half the bus width. [Vas Crabb]

-dooyong.cpp: Reduced volume for YM2151/M6295 sound, coalesced some machine configuration. [Vas Crabb]

-docs: Update css for sphinx_rtd_theme to latest version, which includes selectors missing from old version. [Aaron Giles]

-kinst.cpp: Simulate Killer Instinct 2 Upgrade Kit CPLD. [pdaderko]
 * Original device was reverse-engineered with a logic analyzer and test ROMs.  The CPLD behaves as a slave device, returning data
    when selected, based on previous writes.

Clones promoted to working
--------------------------
Killer Instinct 2 (Upgrade kit) [pdaderko]

-pipeline: Hook up sound communications and YM2203; fix sound PPI mapping [AJR]

-Allow devices to specify a parent for the purpose of searching for ROMs. [Vas Crabb]

-minimaws: Better equality for devices. [Vas Crabb]

-i8244: use parent_rom_device_type for i8245 [hap]

-barni.cpp : wip [Robbbert]

-alphasma.cpp: Use finder array for LCDCs; use memory_share_creator instead of RAM device [AJR]

-mc68hc11: Add stubs for TCTL registers; document coding bug in asma2k [AJR]

-device.h: fix typos [Patrick Mackinlay]

-pipeline.cpp updates: [Ivan Vangelista]
 * added missing input [David Haywood]
 * minor cleanups

-taito_f2.cpp: fixed MT08059 [Ivan Vangelista]

-Update the RTD theme to the 1.0.0rc1 release. I noticed no issues building docs with this, and it includes sphinx 4 CSS fixes.
 (#8544) [Aaron Giles]

-spirit76,barni: updated copyright holders as requested. [Robbbert]

-saitek_osa/maestro: use parent_rom_device_type for analyst [hap]

-supstarf: added notes. [Robbbert]

-Reworked device type definition macros a little and added more Doxygen. [Vas Crabb]
 * Reworked device type definition macros to eliminate one level of indirection when using device types by name.
 * Fixed a potential initialisation order issue that could affect device parent ROMs.
 * Eliminated the need for DEFINE_DEVICE_TYPE_NS - just use DEFINE_DEVICE_TYPE or DEFINE_DEVICE_TYPE_PRIVATE with fully-qualified
    names.
 * Changed device type aliases to static auto references in the headers.
 * Added Doxygen comments for system/device definition macros and system flags.

-Added ROM parents for m68705u3 and a2diskiing. [Vas Crabb]

-doxygen: Updated configuration to be based on up-to-date template, updated bootstrapped theme so it doesn't 404 (still won't work
 due to lack of support for jQuery smartmenus). [Vas Crabb]

-kinst: do some driver cleanups [hap]

-airraid.cpp, hanaawas.cpp: used finders instead of tagmap lookups and other minor cleanups [Ivan Vangelista]

-flstory.cpp: corrected main CPU clock for rumba, fixes sound regression [David Haywood]

-sbmjb.cpp: lowered Oki volume [Ivan Vangelista]

-unkhorse, tamag1: add anonymous namespace [hap]

-flstory.cpp: corrected divider for rumba's main CPU, wrong source for copy-paste [Ivan Vangelista]

-banprestoms.cpp: identified some dips [Ivan Vangelista]

-apple2: support for the AppleIISD card [R. Belmont, Florian Reitz]

-atarisy1.cpp: Fix overdriven sound (#8540) [algestam]

new WORKING machines (#8531)
----------------------------
SpongeBob SquarePants Jellyfish Dodge (JAKKS Pacific TV Game) (Apr 5 2007) [Sean Riddle, David Haywood]

new WORKING clones
------------------
Dora the Explorer - Doras Abenteuer-Globus (Germany) [Sean Riddle, TeamEurope]

-namcos2.cpp : made Japanese Marvel Land the parent, the US prototype is an earlier incomplete build, it ends abruptly, lacks any
 end credits, and is missing many of the levels (plus various other incomplete elements, see https://tcrf.net/Marvel_Land_(Arcade) )
 'US' could also be 'World' but I haven't changed that. [David Haywood]

-bus/nes: Added support for A88S-1 board and related multicarts. (#8547) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
1997 Super 7 in 1 (JY-201) [MLX]
1997 Super 6 in 1 (JY-202) [MLX]
1997 Super 7 in 1 (JY-203) [MLX]
1997 Super 7 in 1 (JY-204) [MLX]
1997 Super 7 in 1 (JY-205) [MLX]
1997 Super 7 in 1 (JY-206) [MLX]

-C++ is not C, appease the compiler [0kmg]

-saturn.xml: corrected the name "Isto é Zico - Zico no Kangaeru Soccer (Jpn)" (#8539) [ArcadeShadow]

-bus/nes: Added support for a 4 in 1 multicart. (#8549) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
4 in 1 HQ [famiac]

-a2sd: warning: 'unused' attribute directive ignored [-Wattributes]

-bus/nes: Improved IRQ emulation for Kaiser KS202 and KS7032. [0kmg]
 * Corrected IRQ behavior based on more recent PCB observations. Fixes some flickering on World X-Y interlevel screens in SMB2J
    bootleg.
 * Corrected SMB3 bootleg's banking, also per PCB analysis.

-ibm5170.xml: 4 new dumps [r09]

New working software list additions
-----------------------------------
DOOM (Japan, v1.1) [r09]
Doukyuusei [wiggy2k]
Doukyuusei 2 [wiggy2k]
Kairaku no Okite - Aoi Taiken [wiggy2k]

-kinst: add preliminary screen raw params [hap]

-qix: remove a popmessage [hap]

-Filesystem-related bug fixes [AJR]
 * Fix recently-introduced path-trashing bug in zippath_resolve
 * Prevent UI file select menu from crashing in error cases where no files can be found

-Miscellaneous cleanup. [Vas Crabb]
 * cchasm.cpp: Combined source files, added I/O port finder, reduced audio levels to avoid hitting the limiter.
 * redalert.cpp: Converted sound boards to devices and removed a couple of trampolines, making the driver state class considerably
    tidier.
 * bus/amiga/keyboard, bus/sunkbd: Put a bunch of implementation classes in anonymous namespaces, getting implementation details out
    of headers and out of the global namespace.

-Update ibm5170.xml [ArcadeShadow]

-nes.xml: Updated PCB details for A Ressha de Ikou. [0kmg]
 * Beyond metadata this gives aressha WRAM, making it playable now.
 * Separately, demoted Enix games dquest and doordoor due to game crashing bugs.

-nes.xml: Set correct board type for several games. [0kmg]
 * Removed a "fixed" version of quanhr2, now that parent is working.

Software list items promoted to working
---------------------------------------
Quánhuáng R-2 - Dàshé Sìtiānwáng [0kmg]
Yǒngzhě Chuánshuō [0kmg]
Wángzhě Wúshuāng [0kmg]

-fixed vs2019, broken by clang fix. [smf-]

-bus/nes: Added support for MMC1-based multicarts. [0kmg]
 * Modified MMC1 base class (SxROM) to have outer bank base/mask to make it extensible by multicarts.
 * Implemented two boards, reset-based SxROM and a 2-in-1 by TXC, as proof of concept.
 * Marked Operation Wolf games as partially supported due to zapper inputs not working.
 * Marked Space Shadow as not supported since it requires the extra buttons on the Bandai Hyper Shot gun.

New working software list additions (nes.xml)
---------------------------------------------
1997 Super HiK 4 in 1 (JY-021) [MLX]
1995 Super HiK 4 in 1 (JY-022) [NewRisingSun, taizou]
1996 Super HiK 4 in 1 (JY-051) [NewRisingSun, taizou]
2 in 1 Uzi Lightgun [CaH4e3]

-Converted Chinese Ninja Ryukenden to MMC1 subclass. [0kmg]

-clock: add setters for period, duty cycle, pulse width [hap]

-cking_master: use clock device for irq signal [hap]

-jvs13551.cpp: dumped Sega 838-13683-91 Rev.A JVS I/O [Darksoft]

-segam1audio.cpp: Fix overdriven sound (#8556) [algestam]

-chess*: use clock device for irq signal [hap]

New machines marked as NOT_WORKING
----------------------------------
Recel Bios [Robbbert]
Alaska [Robbbert]
Hot & Cold [Robbbert]
Screech [Robbbert]
Mr Evil [Robbbert]
Torneo [Robbbert]
Crazy Race [Robbbert]
Fair Fight [Robbbert]
Poker Plus [Robbbert]
Mr Doom [Robbbert]
Cavalier [Robbbert]
Swashbuckler [Robbbert]
Don Quijote [Robbbert]
The Flipper Game [Robbbert]
Black Magic 4   [Robbbert]

-bus/nes: Improved emulation for T-262 board and related multicarts. [0kmg]
 * Fixed games not loading in mc_6et40 and mc_11a42 and graphics issues with several games across the nine cartridges represented
    here.

New working software list additions
-----------------------------------
11 in 1 (A-042) [anonymous]
1994 Super HiK 6 in 1 (A-017) [anonymous]

-Update ibm5150.xml [ArcadeShadow]

-smrp2.h: fixed MT08081 [Ivan Vangelista]

-bus/nes: Fixed Super HiK 4 in 1 so that Master Fighter III now loads. [0kmg]

-views: Fix a number of problems with specific boundaries. [Olivier Galibert]

-rectangles: Add operators & and | (intersection and union) from the existing &= and |= ones. [Olivier Galibert]

-gamedrv.h, ioprocs.h: Fix typos in comments [AJR]

-blockout.cpp: fix agress players (lives) DIP [Kaito Sinclaire]

-Formats-related refactoring [AJR]
 * Remove opresolv.h from emu.h and some other base headers
 * Split legacy floppy image class into a separate file
 * Clean up a lot of #includes in src/lib and src/tools/imgtool

-imgtool/library.h: Supply some missing #includes [AJR]

-ibm5170.xml: Correct definition for unladven [AJR]

-mn1880: Use separate interrupt registers for each CPU [AJR]

-royalmah.cpp: configured banking and views for mjdejavu ad mjifb [Ivan Vangelista]

-goldstar.cpp: point reel tilemap to the right GFX rom offset for cmast97 [Ivan Vangelista]

New working clones
------------------
Route 16 (Sun Electronics, set 2) [hammy]

-meritm: remove vdp interrupts workaround, remove layer enable debug keys [hap]

-saitek_stratos: fix wrong ordering in set_cpu_freq [hap]

-psikyo.cpp: Fix overdriven sound in gunbird (#8555) [algestam]

-emumem: Put back masking removed by mistake [Olivier Galibert]

-bus/nes: Added support for HP-898F board and related multicarts. (#8533) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
4 in 1 (0203) [Consolethinks]
80 in 1 (KD-6096) [Consolethinks]
4 in 1 (0207) [Consolethinks, MrNorbert1994]
4 in 1 (0210) [Consolethinks, MrNorbert1994]
9999999 in 1 (KD-6037-B) [Consolethinks, MrNorbert1994]
Olympic 2000 1000000 in 1 [Consolethinks, MrNorbert1994]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Prima Soft 9999999-in-1 (02 8807870-3) [0kmg]

-konmedal68k.cpp : konslot / konslot2 - fixed display resolution and offsets [David Haywood] (#8525) [David Haywood]

-goldnpkr.cpp: Base screen parameters on how games program the CRTC. [Vas Crabb]
 * Filled in proper screen parameters for goldnpkr, witchcrd and megadpkr.  There may be other games that use different parameters.
 * Demoted megadpkr and megadpkrb to not working as they can only boot once before writing timekeeper data that prevents booting
    again.

-Tidied up a few drivers a little. [Vas Crabb]

-bus/nes: More fixes for various multicart types. [0kmg]
 * Fixed graphics glitches in the following boards: BMC-20IN1 (Kaiser 20 in 1), BMC-SUPER700IN1 (700 in 1, 190 in 1), BMC-VT5201
    (six multicarts).
 * Simplified BMC-21IN1 board (21 in 1, 8 in 1).

New working software list additions (nes.xml)
---------------------------------------------
Super 190 in 1 [anonymous]

-bus/nes: Added support for Blood of Jurassic and Super Hang-On. (#8502) [0kmg]
 * Also, removed "fixed" set shangonah now that shangona is working (the latter should have been marked not supported).

Software list items promoted to working (nes.xml)
-------------------------------------------------
Blood of Jurassic (GD-98) [NewRisingSun]

-bus/nes: Simplified Zemina board + some minor comment clean ups. [0kmg]

-meritm: re-add vdp interrupts workaround since some of the games broke [hap]

New clones marked as NOT_WORKING
--------------------------------
American Poker II - Jackpot (Spanish) [Roberto Fresca]

-Some extra docs on American Poker II - Jackpot (Spanish) set. [RobertoFresca]

New clones marked as NOT_WORKING
--------------------------------
American Poker II - Jackpot (Spanish, set 2) [Roberto Fresca]

New working clones
------------------
American Poker II - Jackpot (Spanish, set 3) [Roberto Fresca]

-bus/nes: Added support for 820720C and JY820845C multicarts. [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
1993 Super HiK 8 in 1 (G-002) [NewRisingSun]
7 in 1 1993 Chess Series (JY-015) [Consolethinks, NewRisingSun]

-mrgrame.cpp: New roms for Mac Attack New roms for Motor Show Improved graphics and sound for all games. [Robbbert]

New machines marked as NOT_WORKING
----------------------------------
Fast Track  [Robbbert]

-ampoker2.cpp:  Fix copy/paste issue for ampkr2jspb from recent addition. [Scott Stone]

-Moved a few slot devices into anonymous namespaces, getting more stuff out of headers and reducing dependencies. [Vas Crabb]

-Revert "mrgrame.cpp: New roms for Mac Attack" [Vas Crabb]
 * This reverts commit 24fa77fcbb7ae8572b1e1ca909a73de6ac69898c.
 * The code comes from a source with an incompatible license.  It can't be simply copied or ported to MAME.

-Fix clang warnings about declaring template instantiation extern after the instantiation itself. [Vas Crabb]

-mrgame: Removed the video code due to possible infringement. [Robbbert]

-macattck: updated rom definitions. [Robbbert]

-motrshow: merged motrshowa into, and added another version as bioses. [Robbbert]

New machines marked as NOT_WORKING
----------------------------------
Fast Track       [Robbbert]

New working machines
--------------------
Checker Challenger (model CR, 2 levels) [hap, Sean Riddle]

-bus/nes: Improved emulation of reset-based 42 in 1 cartridge. [0kmg]
 * Removed dump and code for Super 22 in 1, which is a CRC match for the 42-in-1.
 * Cleaned up a few recent multicart fixes, making them uniform with the rest.

Software list items promoted to working (nes.xml)
-------------------------------------------------
42 in 1 (Reset Switch) [0kmg]

-h8 intc: Fix nmi on h8/300 [Olivier Galibert]

-bus/nes: Added support for an NTDEC 14 in 1 cartridge. [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
14 in 1 (NTDEC) [Consolethinks, Nikolka]

-fidel_checkc2: forgot to copy over local artwork file [hap]

-namcos12: redumped kartduel data roms [Darksoft, Hammy]

-namcos12: update notes [hap]

-util/delegate.cpp: One less level of indirection for functoid delegates. [Vas Crabb]
 * If a delegate is set to a functoid (e.g. a lambda) with a signature that is an exact match for the delegate's signature, it will
    be bound directly.  If arguments or the return value need conversion, a static adaptor will be generated.  This removes
    unnecessary indirection through std::function::operator().

-Added a few more documentation comments. [Vas Crabb]

-Fixed some delegate use issues. [Vas Crabb]

-mrgame.cpp: Add tilemap drawing - dakar works properly, wcup90 has some issues. [Vas Crabb]

-mrgame.cpp: Fixed 5bpp sprite layout, only put attribute handler over tilemap attribute area of object RAM. [Vas Crabb]

-Convert JED, PLA and JEDBIN parsers to (mostly) use ioprocs instead of raw memory interfaces [AJR]

-Fix build on systems where size_t is not the same as uint64_t [AJR]

New working software list additions
-----------------------------------
vectrex: Star Sling Turbo Edition, Vec Sports Boxing [Justin Kerk]

-Remove VISIBLE_SOUND_OVERDRIVE compile-time option in favor of enabling the red overdrive border when speaker_report is non-zero.
 [Aaron Giles]

-segas16b.cpp: decapped and dumped I8751 MCU for altbeastj [simzy, Gor, Ryan Holtz, iq_132, Darksoft, Briah Troha, TeamEurope]

-vtech/sdloader: Add support for SPI SD card [Dirk Best]

-plaparse: Fix regression caused by parser eating '#' comment characters [AJR]

-msx.cpp: Fixed typo (MT8084) (#8581) [0kmg]

-4004clk: fix 50hz setting [hap]

-fix gime master interrupt switches (#8583) [tim lindner]
 * coco3: fix GIME master interrupt switches [tim lindner]

-util/strformat.h, util/delegate.h: More cleanup and future-proofing. [Vas Crabb]
 * util/strformat.h: Found a SFINAE trick to detect absence of stream-out operators. Fixes building with C++20 standard library
    (#6275).
 * util/delegate.h: Fixed a commend and removed an unused declaration from MSVC member function pointer wrapper.
 * util/delegate.h: Added support for discarding functoid return values for delegates returning void.
 * util/delegate.h: Added support for using std::ref to bind non-copyable functoids.

-Do not build with -m64 on riscv64 (#8578) [Graham Inggs]

-util/strformat.h: Detect C++ standard > C++17 before doing weird stuff. [Vas Crabb]

-wrinkles: added most of the sensors [hap]

-sound/disc_sys.hxx, ymz770: Use std::clamp for clamping [AJR]

-bus/nes: Added support for two more multicarts. [0kmg]

New working software list additions
-----------------------------------
9 in 1 (Journey to the West) [anonymous]
Super 8 in 1 (Supervision menu) [v5100v5100]

-bus/nes: Fixed graphics glitches for BMC-GKB board multicarts. [0kmg]
 * Removed code for both BMC-NOVEL1 and BMC-NOVEL2 which are indentical to BMC-21IN1 and BMC-GKB, respectively. This fixes graphics
    for the NOVEL2 game as well.

-harddisk.cpp: Allow specifying the desired block size for loose files / verifying a CHD's block size. [R. Belmont]

-spi_sdcard: Support CMD16 (SET_BLOCKLEN) for improved SDv2 compatibility. [R. Belmont]

-bus/nes: Added support for Super Russian Roulette. [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Super Russian Roulette [re4mat]

-spi_sdcard: add a child device which supports the SDV2 (non-HC) standard. [R. Belmont]

-util/delegate.cpp: Fixed multiple issues. [Vas Crabb]
 * Fixed this pointer displacement being reapplied after delegates are copied - caused issues with classes with multiple
    inheritance.
 * Made null member function pointer test conformant with Itanium C++ ABI specification.
 * Corrected size of this pointer displacement - fixes issues on big Endian targets.
 * Fixed function addresses for virtual member functions on targets that use function descriptors (e.g. PPC64).
 * Applied shift to this pointer displacement for targets that use the ARM variant of the Itanium ABI.
 * Fixed this pointer displacement not being applied for virtual member functions on targets using ARM variant of the Itanium ABI.
 * Fixed this pointer displacement being incorrectly applied to vptr on targets using ARM variant of the Itanium ABI.
 * Made less code conditionally compiled to make it easier to catch errors.

-Update samcoupe_flop.xml [ArcadeShadow]

-merits.cpp: Correctly identified set as "Pub Time Darts II" (#8595) [ClawGrip]

-sharrier: Hook up MCU, remove simulation (#8552) [Dirk Best]
 * The MCU for the sharrier1 set is handcrafted and marked BAD_DUMP
 * There is a slight issue with the initial synchronisation, so there is a hack to ignore the problematic write

-util/delegate.h: Try to catch issues earlier, and some cleanup. [Vas Crabb]
 * Optimised generation of late bind helper functions.  The late bind helper function doesn't depend on the delegate signature -
    only on the late bind base class and function target class.  Having it inside the delegate base class means it needs to be
    instantiated for every combination of late bind base class, function target class and delegate signature.  In a typical driver
    file, there is only one late bind base class (delegate_late_bind), and there will be delegates with multiple signatures bound to
    function members of the same class (e.g. read and write handlers, possibly of different widths, bound to members of the driver
    state class).  By moving the late bind helper out of the delegate base class, the number of required instantiations can be
    reduced.  By moving the body out of the enclosing class declaration, the compiler can be encouraged to coalese instantiations
    across translation units.  While this won't give a further reduction in compile time, it should at least reduce the output
    binary size by reducing duplication for devices that frequently have handlers installed in memory maps.
 * Added an additional template parameter to delegates allowing the late bind base class to be changed if desired.
 * Moved the MSVC implementation "this" pointer optimisation out-of-line and added logging.  Also cleaned up the Itanium "this"
    pointer adjustment and code pointer resolution implementation to reduce duplication and conditional compilation.
 * Made binding_type_exception give a more meaningful what() message than "std::exception".
 * Added extensive validity tests for delegate functionality.  Pointers to member functions are tested, including multiple
    inheritance, virtual and non-virtual member functions, and checking for generational loss across copying/assigning delegates.
    This should properly exercise "this" pointer adjustment for the Itanium and MSVC implementations, and vtable lookup for the
    Itanium implementation.  So-called late binding functionality is tested, including exceptions on failure.  Functoids are tested,
    although given the encapsulation it's not possible to check that an apator isn't generated when it shouldn't be.

-util/delegate.cpp: Fixed calculation of this pointer when casting member function pointers across virtual inheritance relationships
 using MSVC with /vmg. [Vas Crabb]

New games added as MACHINE_NOT_WORKING
--------------------------------------
Unknown medal game GS471 [Phil Bennett, R. Belmont]

-Fix compile on GCC x64 Linux [R. Belmont]

-Fix build script typo [R. Belmont]

New clones marked as NOT_WORKING
--------------------------------
Peacock Flutter (01J00011, NSW/ACT) [Dam0, Heihachi_73]

-namcos1.cpp: corrected the program ROM label for Tank Force (US, 2 Players) [Action Jackson]

New clones marked as NOT_WORKING
--------------------------------
Faeton (6 digits) [Jordi, Orlando, PinMAME]
Hardbody (rev. D) [PinMAME]
Hook (UK 4.06, display A4.01) [PinMAME]
MotorDome (rev. B) [PinMAME]

-arcade.flt: added konmedal020.cpp [Robbbert]

-delegates: Fixed structure return with MSVC C++ ABI. [Vas Crabb]
 * Automatically use delegate_mfp_compatible to generate an adaptor for member functions that return non-scalar, non-reference types
    (partially addresses #8597).
 * Enabled the MSVC delegate implemenation for MSVC on AArch64.
 * Switched back to neater delegate types for layout item bounds and colour.

-docs: Updated the example layout links to point to 0.235 - this means there's now an example of embedded SVG. [Vas Crabb]

-bus/nes: Several small separate fixes. (#8580) [0kmg]
 * Fixed empty menu in Supervision 16 in 1.
 * Fixed softlist loading of GB 63 in 1 and hooked it up with a compatible board type. Removed old partially-working code.
 * Removed a spurious line in PCB loader that set WRAM in SMB2J bootlegs--they don't have any!

Software list items promoted to working (nes.xml)
-------------------------------------------------
Ghostbusters 63 in 1 [0kmg]
Super 128k - 16 in 1 [0kmg]

-bus/nes: Added support for several Shenzhen Jncota RPGs. (#8500) [0kmg]
 * Also corrected metadata for lots of items.

Software list items promoted to working (nes.xml)
-------------------------------------------------
Jīng Kē Xīnzhuàn (China, Shenzhen Jncota) [0kmg]
Shènghuǒ Lièzhuàn (China) [0kmg]
Xiákè Chuánqí (China) [0kmg]
Zhànguó Fēngyún (China) [0kmg]

-bus/nes: Added support for Star Versus. (#8598) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Star Versus [anonymous]

New clone marked as WORKING (#8586)
-----------------------------------
beatmania complete MIX (ver AA-C) [DeepSeaSqueeze]

new NOT_WORKING machine
-----------------------
Mushiking The King Of Beetle (2K3 2ND Ver. 1.000-, Korea) [Jorge Valero, MetalliC, rtw]

-tiamc1.cpp: set games release years to 198?, they are actually unknown [MetalliC]

-tiamc1.cpp little note change [MetalliC]

-Update cdi.xml (#8529) [David 'Foxhack' Silva]

New working software list additions
-----------------------------------
* Sinnaneun Susjanala 2 (KR) [Gaming Alexandria, Dave "Foxhack" Silva]
* Ulihamkke Bulleoyo - Jayeongwa Hamkke (KR) [Gaming Alexandria, Dave "Foxhack" Silva]
* Ulihamkke Bulleoyo - Chinguwa Hamkke (KR) [Gaming Alexandria, Dave "Foxhack" Silva]

New NON_WORKING software list additions
---------------------------------------
* Depression - The Search For The NaSSA (NL)[DVC] [Gaming Alexandria, Dave "Foxhack" Silva]
* Nijmegen 'n rijk aan mogelijkheden (NL)[DVC] [Gaming Alexandria, Dave "Foxhack" Silva]

-Update spectrum_cass.xml (#8587) [ArcadeShadow]

New working software list additions
-----------------------------------
Action Force (Dro Soft) [spectrumcomputing.co.uk]
Blam! [Planeta Sinclair]
Combat School (Erbe) [spectrumcomputing.co.uk]
Cross [spectrumcomputing.co.uk]
Esquimó [Planeta Sinclair]
Golden Pack 100 [Planeta Sinclair]
Insomnia [spectrumcomputing.co.uk]
Mr. Weems and the She Vampires (Zafi Chip) [spectrumcomputing.co.uk]
O Globo da Luz [Planeta Sinclair]
Pesquisa Submarina [Planeta Sinclair]
The Raven + Polearn [Planeta Sinclair]
Silent Service (Erbe) [spectrumcomputing.co.uk]
Travessia [Planeta Sinclair]
Travessia (alt) [Planeta Sinclair]
Turbo Esprit (Durell) [spectrumcomputing.co.uk]
Vampiri [Planeta Sinclair]
WOSP - Whole Orbit Survey Plotter [Planeta Sinclair]

-spectrum_cass.xml:  Redumped - Airwolf [worldofspectrum.org], Dragon Ninja (Erbe) [spectrumcomputing.co.uk], Operation Gunship
 [spectrumcomputing.co.uk], Perigos na Selva [Planeta Sinclair]

-fmtowns_flop_*.xml: 7 new dumps, misc list cleanups (#8588) [r09]
 * fmtowns_flop_*:  renamed the Houma Hunter Lime entries to be more accurate to the disk labels
 * fmtowns_flop_misc.xml: marked dpssg2, dpssg3, hhunt01, hhunt02, hhunt03 and superdps as alternate versions of the ones in the
    original list
 * fmtowns_flop_misc.xml: removed duplicate entries that have been moved to the original list (drstop, rance, rance2) and were left
    here by mistake in the last update

New working software list additions (fmtowns_flop_orig.xml)
-----------------------------------------------------------
Houma Hunter Lime Dai-1-wa [cyo.the.vile]
Houma Hunter Lime Dai-2-wa [cyo.the.vile]
Houma Hunter Lime Dai-3-wa [cyo.the.vile]
Kitty World 2 [cyo.the.vile]
Metal Eye Special Disk [r09]
Sadistic Gamers Part-3 - Telephone Play [cyo.the.vile]
Sadistic Gamers Part-5 - Burusera Play [cyo.the.vile]

-fmtowns_cd.xml: 16 new dumps, 7 replacements, add missing floppies (#8594) [r09]
 * fm_towns_cd.xml:
   - Added the missing floppy disk to amarant3 [akira_2020]
   - Added the missing floppy disk to hypnote [cyo.the.vile]
   - Added the Planet's Edge bonus audio CD [redump.org]
   - Removed the floppy part_id from uwaki, as it's not part of the floppy label

New working software list additions
-----------------------------------
CRI Postman [redump.org]
Dynamic English 3 - Upper Basic [redump.org, cyo.the.vile]
FM Towns Shougaku Ongaku (5-6-nensei-you) [redump.org, cyo.the.vile]
Hyper Aquarium - Kaisui-hen [redump.org]
Hyper Aquarium - Tansui-hen [redump.org]
Hyper Eigo Gakushuu System - New Crown Series 1 [redump.org]
Igo Doujou Yaburi - Menkyo Kaiden!! Mezase 7-kyuu [redump.org]
J.League 1994 Professional Soccer [redump.org]
Master CD - Fresh Series-you [redump.org]
Meikyoku Master (FM Towns Marty version) [redump.org]
Nihon no Rekishi - Sengoku-hen - Oda Nobunaga [redump.org]
Nihongo Nyuumon Dai-1-kan - Fundamental Japanese [redump.org]
Steepia [redump.org]
Touch the Music by Casiopea [redump.org, cyo.the.vile]
TownsPAINT V1.1 L21 [redump.org]

New not working software list additions
---------------------------------------
Dynamic English 2 - Basic [redump.org]

Replaced software list items
----------------------------
Highlight CD 20 [redump.org]
Okiraku TownsGEAR [redump.org]
Oshare Cooking [redump.org]
Sangokushi II [redump.org]
SimCity (HMB-121A) [redump.org]
Uwaki na Anata - Switch o Irete [redump.org]
Zak McKracken and The Alien Mindbenders [redump.org]

Software list items promoted to working
---------------------------------------
Hyper Note [cyo.the.vile]

-hh_sm510: Add cheats for gnw_flagman, gnw_judge and gnw_lion (#8601) [algestam]

-snes.xml: Added Raiden prototypes. (#8604) [0kmg]

New working software list additions
-----------------------------------
Raiden Densetsu (Jpn, prototype) [Gaming Alexandria]
Raiden Trad (USA, prototype) [Revenant]

-bus/nes: Added support for Donkey Kong 8 in 1. (#8603) [0kmg]
 * Also, corrected previous related PCB name.
 * Separately, set correct board type for Grandia games.

New working software list additions (nes.xml)
---------------------------------------------
Donkey Kong 8 in 1 (JY-041) [anonymous]

-plsonic4.cpp: added inputs, dips as per test mode [Ivan Vangelista]

-wndrplnt: Decapped and dumped MCU [Alex, Brian A. Troha, TeamEurope]
 * Also remove simulation, clean ups

-cpu/drcbex64.cpp: Proof-of-concept for optimisation of calling out. [Vas Crabb]
 * Resolve address space virtual member function addresses on constrcution and call them directly.  Provides a small but measurable
    improvement to performance in drivers that use the recompiler and access the memory system a lot.
 * Also made MSVC delegates capable of walking past all the thunks MSVC puts in the way of actually calling a member function.  I'm
    not accounting for the "this" pointer being passed in RDX when the return value is an oversize scalar.  This is harmless because
    it won't see anything that looks like a virtual call thunk using RCX when RCX points to uninitialised space for the return
    value.  It just means virtual member function calls won't be bypassed if the return value is an oversize scalar, but that
    doesn't happen frequently anyway.

-util/delegate.h: Make comparison operators more technically correct. [Vas Crabb]
 * For Itanium ABI, two null member function pointers should compare equal even if the undefined bits differ.
 * For MSVC ABI, there's all sorts of complexity around what happens when you compare pointers to member functions for different
    inheritance types.
 * You'll still occasionally get weird results comparing pointers to members of different classes.

-util/delegate.cpp: Recognise a couple more MSVC thunks. [Vas Crabb]
 * The MSVC C++ ABI doesn't reserve the first vtable entry for classes without a virtual destructor, so the instruction to load the
    virtual member function address may not need an immediate displacement.
 * Also recognise virtual member function call thunks for AArch64.

-added tzx to the sc-3000 formats (#8592) [Fabio DL]

-Dumped the 68705P3 MCUs on 2 different types of sp.ACE fruit machine reel driver PCBs [TTX] (#8593) [David Haywood]

-new WORKING machine (#8558) [David Haywood]

New WORKING machine
-------------------
Paradise / Gum (France) [Benjamin Roux, David Haywood]

-view: take into account the pre-offsetting when expanding handlers [Olivier Galibert]

-pss680: Bank some of the ROM space [AJR]

-supernova: fix oob access on transcient incorrect sprites, use masking instead of %, silence watchdog access [Olivier Galibert]

-Make debugger 'out' command step over return delay slots on SH architectures [AJR]

-4enraya.cpp: Add PCB ASCII layout for 'tourpgum' (#8610) [ClawGrip]

-konmedal68k.cpp: tentatively identified the unkkonmd set [Wayder]

-model2.cpp: minor documentation update [Brian Troha]

-arcade.lua: fixed arcade build compiling [Brian Troha]

-konmedal68k.cpp: adjusted some dips definitions [Ivan Vangelista]

-minimaws: Made table sort widgets (and the code behind them) less ugly. [Vas Crabb]

-util/delegate.cpp: Added a couple of comments about assumptions. [Vas Crabb]

-konmedal68k.cpp: made pwrchanc show the title screen [Ivan Vangelista]

-minimaws: Added disclosure triangle controls to many sections. [Vas Crabb]

-mpu4.cpp: Added three Vifico Escalera Tobogan sets. (#8607) [ClawGrip]

New NOT_WORKING machines
------------------------
Escalera Tobogan (MPU4, set 1) [jordigahan, ClawGrip]

New NOT_WORKING clones
----------------------
Escalera Tobogan (MPU4, set 2) [jordigahan, ClawGrip]
Escalera Tobogan (MPU4, set 3) [jordigahan, ClawGrip]

-Various volume level adjustements to avoid hitting limiter. (#8553) [David Haywood]
 * Adjusted levels in mustache.cpp, metlfrzr.cpp, xyonix.cpp, labybug.cpp, pgm.cpp, terracre.cpp, boogwing.cpp, astrocde.cpp, and
    gottlieb.cpp.
 * Re-balanced some Votrax stuff, attempting to keep the chip output between +/-1.0.

New working clones
------------------
Conchess Plymate 5.5MHz [hap, Berger]

-util/delegate.cpp: PowerPC-64 Little Endian drops function descriptors. [Vas Crabb]
 * At some point I'll make a proper header ABI detection.  There's too much stuff to keep in the delegate sources, and it will be
    useful for other stuff like recompilers.

-util/delegate.h: Use "compatible" delegates for MinGW GCC i686. [Vas Crabb]
 * The Itanium delegate has questionable value on on MinGW i686 as it injects a conditional branch in the hot path for delegates
    anyway to deal with the different __thiscall convention.  It's somehow breaking and causing memory corruption in full builds,
    but I don't have the time to work out exactly which delegate type is the problematic one, especially not with a release coming
    soon.
 * This will probably cause 32-bit MinGW builds to become substantially larger.

-sound: make the compressor optional (clamp overdrive to -1.0-1.0 when off) [hap]

-docs: explain compressor a bit [hap]

-docs: explain compressor a bit again [hap]

-a800: fixes writing antic DLISTL and DLISTH to only affect the high and low byte component that is spread between m_dpage and
 m_doffs (#8616) [goldnchild]

-polepos2: freeze dipswitch works fine [hap]

-apple2gs: enable SHR linearization bit in NEWVIDEO by default, fixes Nucleus P8 1.0.1 [R. Belmont]

-apple2gs: revert previous change, verified on hardware that bit 6 of NEWVIDEO is not set on power-up. [R. Belmont]

-saturn.cpp: Add Korean BIOS placeholder (#8608) [Angelo Salese]
 * saturn.cpp: add Korean BIOS placeholder, refactored init routines, add enumerator for regions
 * hash/saturn.xml: marked all Korean set with NTSC-K, also part I of SW list QA overhaul
 * stvcd.cpp: guard against deleting partial sectors in cmd_delete_sector_data, fixes pstarcol Phantasy Star 2 crash after first
    attract cycle
 * smpc.cpp: NMI is unconditionally requested for screen clock change commands, fixes booting in bigichig, capgen1, capgen4, capgen5
 * stvcd.cpp: add fixed status for NetLink, allow dragndrm to actually boot (on -non drc)
 * stvcd.cpp: fix clang build, put another QA point for Dragon's Dream
 * More QA up to J

-Add floppy support to NEC PC-8001 (#8532) [Angelo Salese]

New clones marked as NOT_WORKING
--------------------------------
PC-8001mkIISR [anonymous]

-Generate a new pc8001_flop.xml list, based off Neo Kobe dumps; [Angelo Salese]

-Move several items from pc8801_flop.xml to the new pc8001_flop.xml; [Angelo Salese]

-Generate new lists for pc8001mk2_flop.xml and pc8001mk2sr_flop.xml; [Angelo Salese]

-Hook aforementioned lists where they belongs ( i.e. N-Basic list is now shared between pc8801.cpp and pc8001.cpp, N80 list belongs
 to pc8001mk2 and pc8001mk2sr, N80SR list belongs to pc8001mk2sr alone) [Angelo Salese]

-upd3301.cpp: fix scrolling glitch when unthrottled [Angelo Salese]

-pc8001.cpp: fix machine configs inheritance [Angelo Salese]

-pc8001.cpp: constexpr the XTALs [Angelo Salese]

-pc8001.cpp: allow to enter into N80 BASIC mode for mk2 machines [Angelo Salese]

-Ported pc80s31k to device interface, and hooked it up to pc8001 [Angelo Salese]

-Fix validation errors [Angelo Salese]

-Misc documentation updates [Angelo Salese]

-uPD3301.cpp: implement bulk of attribute fields [Angelo Salese]

-upd3301: fix olyboss compile and crashing, add rvv signal [Angelo Salese]

-upd3301.cpp: fix last value of attribute row (7narabe), fix graphic mode when in width 40 (15puzzle) [Angelo Salese]

-upd3301.cpp: consider an attribute end of 0 equal to max size, fixes starfire [Angelo Salese]

-upd3301.cpp: rvv is definitely a global reverse rather than acting on palette for PC8001, document flgworld attribute weirdness
 (double somersault) [Angelo Salese]

-pc8001_flop.xml: QA selected SW [Angelo Salese]

-pc80s31k.cpp: split into PC80S31 (2d) and PC80S31K (2d/2dd/2hd) devices, rearrange disk bioses [Angelo Salese]

-pc8801.cpp: inherit pc80s31k device and kill off FDC legacy code [Angelo Salese]

-pc80s31k.cpp: documentation updates [Angelo Salese]

-pc8001_flop: move Magic Copy and a alt versions of ay1 and 4d house in here [Angelo Salese]

-pc98.xml: move daivacal from PC88 since it really belongs here [Angelo Salese]

-pc8801_flop.xml: major QA testing on suspicious floppy activities [Angelo Salese]

-pc8801.cpp: remove logging of High [TV]RAM [Angelo Salese]

-pc8801_flop.xml: fix rogue extra comment closing [Angelo Salese]

-pc80s31k.cpp: mailbox the PPI ports, fix barbatus booting; pc80s31k.cpp: allow filemst to boot, and add note about its unemulated
 extended HW; [Angelo Salese]

-upd3301.cpp: convert AT1/AT0/SC to an aggregate variable [Angelo Salese]

-upd3301.cpp: convert attribute fetch to be a client delegate [Angelo Salese]

-pc8001.cpp: move some shared functions to pc8001_base_state [Angelo Salese]

-pc8001.cpp: add DMA functions [Angelo Salese]

-pc8001.cpp: add extension setter for 24KHz mode (which will be used by PC-8801 once implementation is merged) [Angelo Salese]

-pc8801_flop.xml: fix description duplicate [Angelo Salese]

-Bulk replace pc8*_flop.xml capitalized Alt into lowercase [Angelo Salese]

-pc80s31k.cpp: add space.unmap() for terminal_count_r, reorder headers, make constructor trampoline protected [Angelo Salese]

-Standardize Daiva titles across XMLs [Angelo Salese]

-pc8801_cass.xml: revert of software name t[ape] postfixes [Angelo Salese]

-pc8801_flop.xml: more identification of N/V1 BASIC SWs [Angelo Salese]

-tasc: gideon engine version is 3.1 [hap]

-arcade.flt: add saturnkr exception [hap]

New clones marked as NOT_WORKING
--------------------------------
TX-0 upgraded system (8 kWords of RAM, old order code) [AJR]

-tx0_64kw: Swap LR and MBR when MLR and LMB are specified together [AJR]

-tx0_8kw: Recognize a few more composite OPRs in disassembly [AJR]

-Mostly playable driver for Rolling Extreme. Various bug fixes to the TMS320C82 core. [Ville Linde]

-tms32082: Fix clang build [AJR]

-bus/nes: Fixed hardwired 4-screen mirroring for MMC3 games. (#8620) [0kmg]
 * Fixes most graphics glitches in Rad Racer II and unlicensed Jurassic Boy 2, Rocman X carts.

-tx0: Turn RIM logging back off [AJR]

-gameboy.xml: New working software list addition (#8602) [ArcadeShadow]
 * gameboy.xml: 1 new entry and rename descriptions

New working software list addition
----------------------------------
Sarakon (prototype) [Gaming Alexandria]

-New WORKING software list additions (#8599) [ClawGrip]

New WORKING software list additions
-----------------------------------
vsmile_cart.xml: [ClawGrip]
Disney Handy Manny (USA), Nick Jr. Wow! Wow! Wubbzy! (USA), The Adventures of Little Red Riding Hood (USA), Barney - The Land of
  Make Believe (USA), Care Bears - A Lesson in Caring (USA), TinkerBell (USA), Disney/Pixar Up (USA, rev. 001), Disney's Cinderella
  - Cinderella's Magic Wishes (USA, rev. 101) [skaman]

-Add notes about pocket version being the same rom as the regular motion one on some games [skaman] (#8600) [ClawGrip]

-cdi.xml / ibm5170_cdrom.xml: New non-working software list additions,… (#8612) [David 'Foxhack' Silva]
 * cdi.xml / ibm5170_cdrom.xml: New non-working software list additions, misc fixes

New non working software list additions
---------------------------------------
cdi: Bill Brandt: The Picture Post Years 1938-1951[DVC] [Gaming Alexandria, Dave "Foxhack" Silva]
cdi: CD-i in Schools [DVC] [Gaming Alexandria, Dave "Foxhack" Silva]
cdi: From The Associated Press: The Best of Photo Journalism [DVC] [Gaming Alexandria, Dave "Foxhack" Silva]
cdi: Getting Ahead - Making Time (Euro)(Reprint)[CD-i-PC] [Gaming Alexandria, Dave "Foxhack" Silva]
cdi / ibm5170_cdrom: Paranasal Sinuses & Anterior Skull Base [Gaming Alexandria, Dave "Foxhack" Silva]
cdi: Peaches [DVC] [Gaming Alexandria, Dave "Foxhack" Silva]

-kikikai.cpp: Fix notes (#8483) [cam900]
 * kikikai.cpp: Fix video hardware notes

-pc8001_flop.xml: Fix rom name errors due to copy/paste [Scott Stone]

-srcclean in preparation for MAME 0.235, and two small adjustments. [Vas Crabb]
 * Reduce repeated directory walking in cleansrc target (substantially improves speed of building the target on Windows).
 * Disable a validity check using an MSVC language extension when using clang in MSVC ABI mode.

-bus/nes: Uncommented some existing code for Toy Story pirate cart. (#8617) [0kmg]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Toy Story [etabeta]

-nes.xml: Removed a duplicate dump of Xiangshuai Chuanqi. (#8618) [0kmg]

-nes.xml: Added alternate PCB version of Gauntlet. (#8621) [0kmg]

New working software list additions
-----------------------------------
Gauntlet (USA, alt PCB) [0kmg]

-bus/nes: Added support for a bootleg Sangokushi II cartridge. (#8615) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Sangokushi III - Haou no Tairiku (Asia, Sangokushi II pirate) [krzysiobal]

-bus/nes: Simplified handling of SxROM + MMC1A boards a bit. (#8614) [0kmg]
 * Removed pseudo board types SXROM_A and SOROM_A that are simply SXROM and SOROM boards fitted with MMC1A chips.
 * Provide the equivalent behavior directly in SXROM and SOROM by letting each board know which MMC1 type it has from the existing
    feature in the softlist.

-bus/nes: Updates for BMC-70IN1 and BMC-800IN1 boards. (#8609) [0kmg]
 * Reimplemented these related boards as class/subclass.
 * Corrected missing iNES loader support.

New working software list additions (nes.xml)
---------------------------------------------
35 in 1 (HM5511) [anonymous]
68 in 1 (HM5511) [anonymous]

Software list items promoted to working (nes.xml)
-------------------------------------------------
70 in 1 [0kmg]
800 in 1 [0kmg]

-Actually stage the fix to validity.cpp, clean up video/kikikai.cpp a little, srcclean latest PRs. [Vas Crabb]

-libc++ 6 std::is_invocable_r doesn't work on MFP for incomplete class - disable broken tests when detected. [Vas Crabb]

-Clean up some metadata [Vas Crabb]

-debugger/qt, debugger/win: Fixed suppressing trailing whitespace in copied text on completely blank lnes (most noticeable for the
 console view). [Vas Crabb]

-Fixed some software list issues: [Vas Crabb]
 * apxen_flop.xml: Marked diag bad and unsupported as the disk image is missing protection data.
 * pc8001mk2_flop.xml, pc8801_flop.xml: Removed some entries that were inadvertently duplicated.
